<?php
/*
-------------------------------------------------------------------------
NetEye Webinject Configtool for Wuerth Phoenix NetEye
Copyright (C) 2010 by WUERTHPHOENIX Srl.
author Patrick Zambelli <patrick.zambelli@wuerth-phoenix.com>

http://www.wuerth-phoenix.com
--------------------------------------------------------------------------

 LICENSE

 This file is part of WuerthPhoenix NetEye ConfigurationTool.

 The NetEye ConfigurationTool is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation version 3 of the License.

 NetEye ConfigurationTool is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You can get a copy of the GNU General Public License included to the Dashboard or
 at http://www.gnu.org/licenses/gpl-3.0.txt. Otherwise write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 --------------------------------------------------------------------------
*/ 
/** 
 * This is the start interface to check for the service to be running
 * and to compone new sms to send through the sms modem 
 * 
 */
require_once dirname(__FILE__).'/includes/config.php.inc';
require_once dirname(__FILE__).'/../includes/version.php.inc';
require_once dirname(__FILE__).'/class.editorForm.php';
require_once dirname(__FILE__).'/class.editorModel.php';

//instantiate classes
$webinjectModel = new editorModel($xmlPath);
$webinjectForm = new editorForm($WI_formwidth, $webinjectModel);
$fileToEdit = "";

//Elaborate Post values
if(isset($_GET['message']) && ($_GET['message'] != "")){ $message = $_GET['message']; } else { $message = ""; }

include dirname(__FILE__)."/includes/header.php.inc";
?>
<body bgcolor="#c3c7d3" class="main">
<?
include dirname(__FILE__)."/includes/logo.php.inc";

if(isset($_GET['editconf']) && ($_GET['editconf'] != "")){
	 
	$webinjectForm->showEditForm($_GET['editconf'], $xmlPath, $message);
	
} elseif ( isset($_GET['runconf']) && ($_GET['runconf'] != "")){

	$webinjectForm->showDebugConf($_GET['runconf'], $xmlPath, $webinjectTestrunPath, $webinjectExecPath, $message);
	
} else {
	
	$webinjectForm->showMainForm($message);
}
?>
</body>


